ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From peter reilly <peter.rei...@corvil.com>
Subject Re: java 1.1 on linux
Date Thu, 20 Mar 2003 16:27:54 GMT
..... humble pie eating .......

The problem I encounted was trying to run the
ant-contrib unit tests. The problem was
most likely due to user error.

I have now compiled ant-contrib against ant-1.5 using java1.1 and with
some hacks it compiles, and the tests run (and fail - most
likely due to another user error....)

Sorry for causing time wastage.  :-)~

Peter.
On Thursday 20 March 2003 15:54, Stefan Bodewig wrote:
> On Tue, 18 Mar 2003, peter reilly <peter.reilly@corvil.com> wrote:
> > 1.5.1 and 1.5: java.lang.ClassFormatError: Bad major version number
>
> I do not get this on an admittedly simple build file using Blackdown's
> 1.1.8.  I.e. Ant 1.5.1 from the binary tar.gz version seems to work
> with JDK 1.1 for me.
>
> >      This may be fixed by recompiling ant or it may be due to the
> >      fact that ant-contrib uses 1.2 isms.
>
> Does that mean I should use one of the ant-contrib tasks to reproduce
> the problem?  Maybe the ant-contrib stuff has been compiled with JDK
> 1.4.  Where have you obtained it (self-compiled?)?
>
> Stefan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message